OpenZWave Library: OpenZWave::Localization Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
OpenZWave::Localization Class Reference

`#include <Localization.h>`

## Public Member Functions
void | SetupCommandClass (CommandClass *cc)
string | GetSelectedLang ()
bool | SetValueHelp (uint8 ccID, uint16 indexID, uint32 pos, string help, string lang="")
string const | GetValueHelp (uint8 ccID, uint16 indexId, uint32 pos)
bool | SetValueLabel (uint8 ccID, uint16 indexID, uint32 pos, string label, string lang="")
string const | GetValueLabel (uint8 ccID, uint16 indexId, int32 pos) const
string const | GetValueItemLabel (uint8 ccID, uint16 indexId, int32 pos, int32 itemIndex) const
bool | SetValueItemLabel (uint8 ccID, uint16 indexId, int32 pos, int32 itemIndex, string label, string lang="")
string const | GetValueItemHelp (uint8 ccID, uint16 indexId, int32 pos, int32 itemIndex) const
bool | SetValueItemHelp (uint8 ccID, uint16 indexId, int32 pos, int32 itemIndex, string label, string lang="")
string const | GetGlobalLabel (string text)
bool | SetGlobalLabel (string index, string text, string lang)
bool | WriteXMLVIDHelp (uint8 ccID, uint16 indexId, uint32 pos, TiXmlElement *valueElement)

## Static Public Member Functions
static Localization * | Get ()
static void | ReadXMLVIDLabel (uint8 ccID, uint16 indexId, uint32 pos, const TiXmlElement *labelElement)
static void | ReadXMLVIDHelp (uint8 ccID, uint16 indexId, uint32 pos, const TiXmlElement *helpElement)

## Member Function Documentation

## ◆ Get()

Localization * Localization::Get | ( |  | ) |
| static

## ◆ GetGlobalLabel()

string const Localization::GetGlobalLabel | ( | string | text | ) |

## ◆ GetSelectedLang()

string OpenZWave::Localization::GetSelectedLang | ( |  | ) |
| inline

## ◆ GetValueHelp()

string const Localization::GetValueHelp | ( | uint8 | ccID,
|  | uint16 | indexId,
|  | uint32 | pos )

## ◆ GetValueItemHelp()

string const Localization::GetValueItemHelp | ( | uint8 | ccID,
|  | uint16 | indexId,
|  | int32 | pos,
|  | int32 | itemIndex ) const

## ◆ GetValueItemLabel()

string const Localization::GetValueItemLabel | ( | uint8 | ccID,
|  | uint16 | indexId,
|  | int32 | pos,
|  | int32 | itemIndex ) const

## ◆ GetValueLabel()

string const Localization::GetValueLabel | ( | uint8 | ccID,
|  | uint16 | indexId,
|  | int32 | pos ) const

## ◆ ReadXMLVIDHelp()

void Localization::ReadXMLVIDHelp | ( | uint8 | ccID,
|  | uint16 | indexId,
|  | uint32 | pos,
|  | const TiXmlElement * | helpElement )
| static

## ◆ ReadXMLVIDLabel()

void Localization::ReadXMLVIDLabel | ( | uint8 | ccID,
|  | uint16 | indexId,
|  | uint32 | pos,
|  | const TiXmlElement * | labelElement )
| static

## ◆ SetGlobalLabel()

bool Localization::SetGlobalLabel | ( | string | index,
|  | string | text,
|  | string | lang )

## ◆ SetupCommandClass()

void Localization::SetupCommandClass | ( | CommandClass * | cc | ) |

## ◆ SetValueHelp()

bool Localization::SetValueHelp | ( | uint8 | ccID,
|  | uint16 | indexID,
|  | uint32 | pos,
|  | string | help,
|  | string | lang = "" )

## ◆ SetValueItemHelp()

bool Localization::SetValueItemHelp | ( | uint8 | ccID,
|  | uint16 | indexId,
|  | int32 | pos,
|  | int32 | itemIndex,
|  | string | label,
|  | string | lang = "" )

## ◆ SetValueItemLabel()

bool Localization::SetValueItemLabel | ( | uint8 | ccID,
|  | uint16 | indexId,
|  | int32 | pos,
|  | int32 | itemIndex,
|  | string | label,
|  | string | lang = "" )

## ◆ SetValueLabel()

bool Localization::SetValueLabel | ( | uint8 | ccID,
|  | uint16 | indexID,
|  | uint32 | pos,
|  | string | label,
|  | string | lang = "" )

## ◆ WriteXMLVIDHelp()

bool Localization::WriteXMLVIDHelp | ( | uint8 | ccID,
|  | uint16 | indexId,
|  | uint32 | pos,
|  | TiXmlElement * | valueElement )

The documentation for this class was generated from the following files:

- Localization.h
- Localization.cpp